{% extends 'shop/base.html' %}
{% load static %}
{% block title %}
    {% if category %}{{ category.name }} {% else %} Products {% endif %}
{% endblock %}

{% block content %}
   <div class="container">
      <div class="row" style="margin-top: 6%">

        <div class="col-sm-8 blog-main">

          <div class="blog-post">
              <div class="row">
                <div class="card">
                    <div class="card-body">
                        <div class="col-md-6 text-right">
                            <img src="{% if product.image %} {{ product.image.url }} {% else %} {% static 'img/default.jpg' %} {% endif %}" alt="..." style="height: 170px; width: auto" onclick="viewProduct()">
                            <script>
                                // Delay pixel fire by 3 seconds
                                var seconds = 3;
                                setTimeout(function viewProduct() {
                                    fbq('track', 'ViewContent');
                                }, seconds * 1000);
                            </script>
                        </div>
                        <div class="col-md-6" style="padding-left: 20px">
                            <h3>{{ product.name }}</h3>
                            <h6><a href="{{ product.category.get_absolute_url }}">{{ product.category }}</a></h6>
                            <p class="text-muted">Tk. {{ product.price }}</p>
                            <form action="{% url "cart:cart_add" product.id %}" method="post">
                                {% csrf_token %}
                                {{ cart_product_form }}
                                <input type="submit" value="add to cart" class="btn btn-primary" onclick="addToCartButton()">
                                <script>
                                    function addToCartButton(){
                                        fbq('track', 'AddToCart', {
                                            value: 10000000,
                                            currency: 'BDT',
                                            content_ids: '3',
                                            content_type: 'Product',
                                    });};
                                  </script>
                                  
                            </form>
                            <p>{{ product.description|safe|linebreaksbr }}</p>
                        </div>
                    </div>
                </div>
              </div>


          </div><!-- /.blog-post -->

        </div><!-- /.blog-main -->
      </div><!-- /.row -->

    </div><!-- /.container -->
{% endblock %}